import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/8DancingElephants/675cf61e9c5ffbc0052e4ad5e21b12bf/raw/2791bc62f5f595fce13017032bbd7a3b0dcdd8e6/casesNov23.csv';

const row = d => {
  d.covid = + d['cases'];
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);
  
if(data) {
  console.log(data)
}
  
  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
